Page MenuHomePhabricator

allow users to export maniphest advanced search to csv
Closed, ResolvedPublic

Description

As a user I would like to export an advanced search from Maniphest into CSV so that I can use it in spreadsheets and other tools.

Event Timeline

DStrine raised the priority of this task from to Needs Triage.
DStrine updated the task description. (Show Details)
DStrine added subscribers: DStrine, 20after4.
mmodell set Security to None.
mmodell added a project: Phabricator.

I don't know if we want to push this one upstream, it probably doesn't interest them much

I think we should close T152. Looking at the comments, phpexcel doesn't looking like an option anymore. Could we investigate a CSV export?

Aklapper triaged this task as Lowest priority.Jun 19 2015, 3:54 PM
Aklapper edited projects, added Phabricator (Upstream); removed Phabricator.

@Aklapper: great minds think alike?

@DStrine: I would like to look at doing a csv export at some point, apparently the sprint extension has some form of export, but I haven't looked into it at all.

There is also http://csv.thephpleague.com/ - which I would expect to be a high quality composer library, we could look into using that.

I'm not sure when I can get to this but it seems worthwhile.

mmodell changed the task status from Open to Stalled.Oct 12 2015, 4:21 PM
Aklapper changed the task status from Stalled to Open.Jan 31 2018, 4:13 PM
Aklapper raised the priority of this task from Lowest to Medium.

https://secure.phabricator.com/T13049 fixed this: In upstream under "Use Results > Export Data", a CSV item is available.
Hence our next deployment (Phabricator (2018-01-17)?) might include this.

Yay! I'm looking forward to trying this out.

bd808 claimed this task.
bd808 added a subscriber: bd808.

https://secure.phabricator.com/T13049 fixed this: In upstream under "Use Results > Export Data", a CSV item is available.
Hence our next deployment (Phabricator (2018-01-17)?) might include this.

Screen Shot 2018-07-26 at 15.50.23.png (209×787 px, 46 KB)

Screen Shot 2018-07-26 at 15.50.37.png (184×600 px, 26 KB)

Screen Shot 2018-07-26 at 15.50.51.png (450×554 px, 59 KB)